Name:			finlib
Version:		2.36.5
Release:		1%{?dist}
Summary:		Fast Indexing Library

Group:			Development/Libraries
License:		GPLv2+
URL:			http://nlp.fi.muni.cz/trac/ske_lite/
Source0:		http://corpora.fi.muni.cz/ske_lite/src/finlib/%{name}-%{version}.tar.gz
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	gcc-c++
BuildRequires:	pcre-devel >= 8.10

Requires:		pcre >= 8.10

%description
Finlib is an abbreviation from Fast Indexing Library, a library used in manatee
for indexing text corpora.

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries

Requires:   %{name} = %{version}-%{release}

%description devel
This package contains development files for %{name}.

%package static
Summary:	Finlib static libraries
Group:		Development/Libraries

Requires:   %{name}-devel = %{version}-%{release}

%description static
This package contains static libraries for Finlib.

%prep
%setup -q

%build
%configure --with-pcre --with-gnu-ld
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT/%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog NEWS AUTHORS README
%{_bindir}/*
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/*
%{_libdir}/*.so

%files static
%defattr(-,root,root,-)
%{_libdir}/*.a

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Wed Mar 22 2017 Ondřej Herman <ondrej.herman@sketchengine.co.uk> - 2.36.5-1
- Update to 2.36.5

* Thu Feb 16 2017 Milos Jakubicek <jak@fi.muni.cz> - 2.36.4-1
- Update to 2.36.4

* Sun Jan 15 2017 Milos Jakubicek <jak@fi.muni.cz> - 2.36.3-1
- Update to 2.36.3

* Sat Nov 19 2016 Milos Jakubicek <jak@fi.muni.cz> - 2.36.2-1
- Update to 2.36.2

* Fri Nov 11 2016 Milos Jakubicek <jak@fi.muni.cz> - 2.36.1-2
- rebuilt

* Thu Nov 03 2016 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.36.1-1
- Update to 2.36.1

* Thu Oct 13 2016 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.36-1
- Update to 2.36

* Fri Aug 05 2016 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.35.2-1
- Update to 2.35.2

* Thu Jul 28 2016 Jan Busta - 2.35.1-4
- rebuilt

* Thu Jul 28 2016 Jan Busta - 2.35.1-3
- rebuilt

* Thu Feb 11 2016 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.35.1-2
- rebuilt

* Thu Feb 11 2016 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.35.1-1
- Update to 2.35.1

* Sat Jan 30 2016 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.35-3
- rebuilt

* Sat Jan 30 2016 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.35-2
- rebuilt

* Sat Jan 30 2016 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.35-1
- Update to 2.35

* Sun Jan 24 2016 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.34-1
- Update to 2.34

* Fri Dec 11 2015 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.33.2-1
- Update to 2.33.2

* Sat Oct 31 2015 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.33.1-1
- Update to 2.33.1

* Mon Aug 31 2015 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.33-1
- Update to 2.33

* Tue May 05 2015 Jan Busta - 2.32-8
- rebuilt

* Tue May 05 2015 Jan Busta - 2.32-7
- rebuilt

* Tue May 05 2015 Jan Busta - 2.32-6
- rebuilt

* Tue May 05 2015 Jan Busta - 2.32-5
- rebuilt

* Tue May 05 2015 Jan Busta - 2.32-4
- rebuilt

* Tue May 05 2015 Jan Busta - 2.32-3
- rebuilt

* Tue May 05 2015 Jan Busta - 2.32-2
- rebuilt

* Mon May 04 2015 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.32-1
- Update to 2.32

* Mon Apr 06 2015 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.31-1
- Update to 2.31

* Sat Mar 28 2015 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.30.5-1
- Update to 2.30.5

* Mon Mar 23 2015 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.30.4-2
- rebuilt

* Mon Mar 23 2015 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.30.4-1
- Update to 2.30.4

* Mon Feb 23 2015 Jan Busta - 2.30.3-1
- Update to 2.30.3

* Mon Feb 23 2015 Jan Busta - 2.30.2-1
- Update to 2.30.2

* Sun Feb 22 2015 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.30.1-1
- Update to 2.30.1

* Sun Jan 18 2015 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.30-1
- Update to 2.30

* Sun Jan 18 2015 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.30-1
- Update to 2.30

* Tue Oct 21 2014 Jan Busta - 2.29-2
- rebuilt

* Tue Oct 14 2014 Jan Busta - 2.29-1
- Update to 2.29

* Tue Jun 24 2014 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.28.3-1
- Update to 2.28.3

* Thu Apr 03 2014 Builder <builder@toad4.sketchengine.co.uk> - 2.28.2-13
- rebuilt

* Thu Apr 03 2014 Builder <builder@toad4.sketchengine.co.uk> - 2.28.2-12
- rebuilt

* Thu Apr 03 2014 Builder <builder@toad4.sketchengine.co.uk> - 2.28.2-11
- rebuilt

* Thu Apr 03 2014 Builder <builder@toad4.sketchengine.co.uk> - 2.28.2-10
- rebuilt

* Thu Apr 03 2014 Builder <builder@toad4.sketchengine.co.uk> - 2.28.2-9
- rebuilt

* Thu Apr 03 2014 Builder <builder@toad4.sketchengine.co.uk> - 2.28.2-8
- rebuilt

* Thu Apr 03 2014 Builder <builder@toad4.sketchengine.co.uk> - 2.28.2-7
- rebuilt

* Thu Apr 03 2014 Builder <builder@toad4.sketchengine.co.uk> - 2.28.2-6
- rebuilt

* Wed Apr 02 2014 Builder <builder@toad4.sketchengine.co.uk> - 2.28.2-5
- rebuilt

* Tue Mar 18 2014 root - 2.28.2-1
- Update to 2.28.2

* Sun Feb 09 2014 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.28.1-1
- Update to 2.28.1

* Thu Jan 30 2014 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.28-1
- Update to 2.28

* Fri Jan 24 2014 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.27.1-1
- Update to 2.27.1

* Sun Jan 12 2014 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.27-1
- Update to 2.27

* Mon Jan 06 2014 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.26.2-1
- Update to 2.26.2

* Tue Dec 31 2013 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.26.1-1
- Update to 2.26.1

* Sun Dec 29 2013 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.26-2
- rebuilt

* Sun Dec 29 2013 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.26-1
- Update to 2.26

* Sun Dec 15 2013 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.25.2-1
- Update to 2.25.2

* Thu Oct 03 2013 Jan Busta - 2.25.1-1
- Update to 2.25.1

* Tue Oct 01 2013 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.25-1
- Update to 2.25

* Wed Aug 14 2013 Jan Busta - 2.24.1-1
- Update to 2.24.1

* Sat Jul 13 2013 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.24-3
- rebuilt

* Sat Jul 13 2013 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.24-2
- rebuilt

* Sat Jul 13 2013 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.24-1
- Update to 2.24

* Fri May 31 2013 V lese zelenem - 2.23-5
- rebuilt

* Fri May 31 2013 V lese zelenem - 2.23-4
- rebuilt

* Thu May 30 2013 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.23-3
- rebuilt

* Thu May 30 2013 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.23-2
- rebuilt

* Wed May 29 2013 V lese zelenem - 2.23-1
- Update to 2.23

* Tue Apr 02 2013 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.22.2-1
- Update to 2.22.2

* Fri Mar 08 2013 Jan Busta, B203, Botanicka 68a, 602 00 Brno,+420 777 753 234, jan.busta@sketchengine.co.uk - 2.78-2
- rebuilt

* Fri Mar 08 2013 Jan Busta, B203, Botanicka 68a, 602 00 Brno,+420 777 753 234, jan.busta@sketchengine.co.uk - 2.78-1
- Update to 2.78

* Fri Mar 08 2013 Jan Busta, B203, Botanicka 68a, 602 00 Brno,+420 777 753 234, jan.busta@sketchengine.co.uk - 2.22-3
- rebuilt

* Fri Mar 08 2013 Jan Busta, B203, Botanicka 68a, 602 00 Brno,+420 777 753 234, jan.busta@sketchengine.co.uk - 2.22-2
- rebuilt

* Sun Feb 24 2013 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.22-1
- Update to 2.22

* Mon Feb 18 2013 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.21.1-1
- Update to 2.21.1

* Wed Jan 30 2013 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.21-3
- rebuilt

* Tue Jan 29 2013 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.21-2
- rebuilt

* Tue Jan 29 2013 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.21-1
- Update to 2.21

* Sat Jan 19 2013 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.20.3-2
- rebuilt

* Fri Jan 18 2013 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.20.3-1
- Update to 2.20.3

* Tue Jan 08 2013 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.20.2-1
- Update to 2.20.2

* Thu Nov 29 2012 Jan Busta - 2.20.1-1
- Update to 2.20.1

* Tue Nov 13 2012 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.20-1
- Update to 2.20

* Fri Aug 31 2012 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.19.3-2
- rebuilt

* Fri Aug 31 2012 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.19.3-1
- Update to 2.19.3

* Wed Aug 22 2012 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.19.1-1
- Update to 2.19.1

* Wed Jul 18 2012 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.19-1
- Update to 2.19

* Fri Jun 22 2012 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.18-2
- rebuilt

* Fri Jun 22 2012 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.18-1
- Update to 2.18

* Thu May 10 2012 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.17.1-1
- Update to 2.17.1

* Wed Mar 14 2012 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.17-1
- Update to 2.17

* Wed Mar 07 2012 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.16-1
- Update to 2.16

* Wed Feb 22 2012 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.15.1-1
- Update to 2.15.1

* Sat Feb 18 2012 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.15-1
- Update to 2.15

* Wed Feb 08 2012 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.14-4
- rebuilt

* Wed Feb 08 2012 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.14-3
- rebuilt

* Tue Feb 07 2012 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.14-2
- rebuilt

* Mon Feb 06 2012 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.14-1
- Update to 2.14

* Thu Dec 01 2011 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.13-4
- rebuilt

* Thu Dec 01 2011 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.13-3
- Ship static libs in -static subpackage.

* Wed Oct 05 2011 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.13-3
- rebuilt

* Thu Sep 29 2011 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.13-2
- rebuilt

* Tue Sep 27 2011 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.13-1
- Update to 2.13

* Sat Sep 17 2011 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.12.5-2
- rebuilt

* Sat Sep 17 2011 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.12.5-1
- Update to 2.12.5

* Fri Aug 05 2011 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.12.4-1
- Update to 2.12.4

* Thu Aug 04 2011 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.12.3-1
- Update to 2.12.3

* Thu Aug 04 2011 Milos Jakubicek,B203 Botanicka 68a 602 00 Brno,+420 777 753 232,milos.jakubicek@sketchengine.co.uk, - 2.12.4-1
- Update to 2.12.4

* Tue Jun 28 2011 Milos Jakubicek <xjakub@fi.muni.cz> - 2.12.3-1
- Update to 2.12.3

* Mon Apr 11 2011 Milos Jakubicek <xjakub@fi.muni.cz> - 2.12.2-1
- Update to 2.12.2
- R: pcre-devel >= 8.10

* Thu Mar 10 2011 Milos Jakubicek <xjakub@fi.muni.cz> - 2.12.1-1
- Update to 2.12.1

* Thu Mar 10 2011 Milos Jakubicek <xjakub@fi.muni.cz> - 2.12-1
- Update to 2.12

* Tue Oct 26 2010 Milos Jakubicek <xjakub@fi.muni.cz> - 2.11-1
- Update to 2.11, do not bootstrap => remove BR: automake, autoconf
- Remove rpaths

* Tue Apr 27 2010 Milos Jakubicek <xjakub@fi.muni.cz> - 2.10-1
- Update to 2.10

* Mon Apr 26 2010 Milos Jakubicek <xjakub@fi.muni.cz> - 2.07a-1
- Update to virtual 2.07a supporting nested structures
- Use xz instead of bz2
- Drop gcc 4.3 patch (merged upstream)

* Thu Sep 24 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 2.07-1
- Update to 2.07
- Use tar.bz2
- Build with ./bootstrap script => BR: automake, autoconf

* Wed Jul 01 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 2.06-2
- Split into -devel subpackage.

* Mon Jun 22 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 2.06-1
- Update to 2.06
- Updated gcc 4.3 patch
- Use original .tgz sources

* Tue Aug 05 2008 Milos Jakubicek <xjakub@fi.muni.cz> - 1.94-1
- Initial release.
- Patched to build with gcc 4.3
- Installs the library.
